Subject: Re: [PATCH] wfx: use container_of() to get vif

From: Dan Carpenter <[email-masked]>
Date: Wed, 4 May 2022 16:25:51 +0300

On Wed, May 04, 2022 at 01:50:59PM +0200, Stefano Brivio wrote:
> And that it's *obvious* that container_of() would trigger warnings
> otherwise. Well, obvious just for me, it seems.

:P

Apparently it wasn't obvious to Kalle and me.  My guess is that you saw
the build error.  Either that or Kalle and I are geezers who haven't
looked at container_of() since before the BUILD_BUG_ON() was added five
years ago.

regards,
dan carpenter